diff --git a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
index bdc4e186657a..66959f00f029 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
+++ b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
@@ -2646,268 +2646,268 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL215:
 #NO_APP
-.LBE1165:
-.LBE1168:
+.LBE1177:
+.LBE1180:
 	.loc 9 132 0
 	cbnz	x0, .L200
 .L201:
-.LBE1179:
-.LBE1183:
-.LBE1187:
-	.loc 1 1781 0
+.LBE1191:
+.LBE1195:
+.LBE1199:
+	.loc 1 1787 0
 	mov	x0, x23
 .LVL216:
-	.loc 1 1782 0
+	.loc 1 1788 0
 	mov	x22, -14
-	.loc 1 1781 0
+	.loc 1 1787 0
 	bl	ebc_buf_release
 .LVL217:
-	.loc 1 1782 0
+	.loc 1 1788 0
 	b	.L172
 .LVL218:
 	.p2align 3
 .L315:
-.LBB1188:
-.LBB1031:
+.LBB1200:
+.LBB1043:
+.LBB1041:
+.LBB1039:
 .LBB1029:
+.LBB1026:
 .LBB1027:
-.LBB1017:
-.LBB1014:
-.LBB1015:
-.LBB1016:
+.LBB1028:
 	.loc 7 106 0
 	ldr	x2, [x0]
-.LBE1016:
-.LBE1015:
-.LBE1014:
-.LBE1017:
+.LBE1028:
 .LBE1027:
+.LBE1026:
 .LBE1029:
-.LBE1031:
-.LBE1188:
-	.loc 1 1727 0
+.LBE1039:
+.LBE1041:
+.LBE1043:
+.LBE1200:
+	.loc 1 1733 0
 	mov	x0, x21
 .LVL219:
-.LBB1189:
-.LBB1032:
+.LBB1201:
+.LBB1044:
+.LBB1042:
+.LBB1040:
 .LBB1030:
-.LBB1028:
-.LBB1018:
 	.loc 6 84 0
 	tbz	x2, 26, .L215
 	b	.L214
 .LVL220:
 	.p2align 3
 .L311:
-.LBE1018:
-.LBE1028:
 .LBE1030:
-.LBE1032:
-.LBE1189:
-.LBB1190:
-.LBB996:
+.LBE1040:
+.LBE1042:
+.LBE1044:
+.LBE1201:
+.LBB1202:
+.LBB1008:
+.LBB1006:
+.LBB1004:
 .LBB994:
+.LBB991:
 .LBB992:
-.LBB982:
-.LBB979:
-.LBB980:
-.LBB981:
+.LBB993:
 	.loc 7 106 0
 	ldr	x2, [x0]
-.LBE981:
-.LBE980:
-.LBE979:
-.LBE982:
+.LBE993:
 .LBE992:
+.LBE991:
 .LBE994:
-.LBE996:
-.LBE1190:
-	.loc 1 1727 0
+.LBE1004:
+.LBE1006:
+.LBE1008:
+.LBE1202:
+	.loc 1 1733 0
 	mov	x0, x21
 .LVL221:
-.LBB1191:
-.LBB997:
+.LBB1203:
+.LBB1009:
+.LBB1007:
+.LBB1005:
 .LBB995:
-.LBB993:
-.LBB983:
 	.loc 6 84 0
 	tbz	x2, 26, .L203
 	b	.L202
 .LVL222:
 	.p2align 3
 .L319:
-.LBE983:
-.LBE993:
 .LBE995:
-.LBE997:
-.LBE1191:
-.LBB1192:
-.LBB1148:
-.LBB1144:
-.LBB1133:
-.LBB1130:
-.LBB1126:
-.LBB1127:
-.LBB1128:
+.LBE1005:
+.LBE1007:
+.LBE1009:
+.LBE1203:
+.LBB1204:
+.LBB1160:
+.LBB1156:
+.LBB1145:
+.LBB1142:
+.LBB1138:
+.LBB1139:
+.LBB1140:
 	.loc 7 106 0
 	ldr	x2, [x2]
 .LVL223:
-.LBE1128:
-.LBE1127:
-.LBE1126:
-.LBE1130:
-.LBE1133:
-.LBE1144:
-.LBE1148:
-.LBE1192:
-	.loc 1 1727 0
+.LBE1140:
+.LBE1139:
+.LBE1138:
+.LBE1142:
+.LBE1145:
+.LBE1156:
+.LBE1160:
+.LBE1204:
+	.loc 1 1733 0
 	mov	x0, x21
 .LVL224:
-.LBB1193:
-.LBB1149:
-.LBB1145:
-.LBB1134:
-.LBB1131:
+.LBB1205:
+.LBB1161:
+.LBB1157:
+.LBB1146:
+.LBB1143:
 	.loc 6 84 0
 	tbz	x2, 26, .L222
 	b	.L221
 .LVL225:
 	.p2align 3
 .L317:
-.LBE1131:
-.LBE1134:
-.LBE1145:
-.LBE1149:
-.LBE1193:
-.LBB1194:
-.LBB1100:
-.LBB1096:
-.LBB1093:
-.LBB1082:
-.LBB1078:
-.LBB1079:
-.LBB1080:
+.LBE1143:
+.LBE1146:
+.LBE1157:
+.LBE1161:
+.LBE1205:
+.LBB1206:
+.LBB1112:
+.LBB1108:
+.LBB1105:
+.LBB1094:
+.LBB1090:
+.LBB1091:
+.LBB1092:
 	.loc 7 106 0
 	ldr	x2, [x0]
-.LBE1080:
-.LBE1079:
-.LBE1078:
-.LBE1082:
-.LBE1093:
-.LBE1096:
-.LBE1100:
-.LBE1194:
-	.loc 1 1727 0
+.LBE1092:
+.LBE1091:
+.LBE1090:
+.LBE1094:
+.LBE1105:
+.LBE1108:
+.LBE1112:
+.LBE1206:
+	.loc 1 1733 0
 	mov	x0, x21
 .LVL226:
-.LBB1195:
-.LBB1101:
-.LBB1097:
-.LBB1094:
-.LBB1083:
+.LBB1207:
+.LBB1113:
+.LBB1109:
+.LBB1106:
+.LBB1095:
 	.loc 6 84 0
 	tbz	x2, 26, .L218
 	b	.L217
 .LVL227:
 	.p2align 3
 .L320:
-.LBE1083:
-.LBE1094:
-.LBE1097:
-.LBE1101:
-.LBE1195:
+.LBE1095:
+.LBE1106:
+.LBE1109:
+.LBE1113:
+.LBE1207:
+.LBB1208:
 .LBB1196:
-.LBB1184:
-.LBB1180:
-.LBB1169:
-.LBB1166:
-.LBB1162:
-.LBB1163:
-.LBB1164:
+.LBB1192:
+.LBB1181:
+.LBB1178:
+.LBB1174:
+.LBB1175:
+.LBB1176:
 	.loc 7 106 0
 	ldr	x2, [x2]
 .LVL228:
-.LBE1164:
-.LBE1163:
-.LBE1162:
-.LBE1166:
-.LBE1169:
-.LBE1180:
-.LBE1184:
+.LBE1176:
+.LBE1175:
+.LBE1174:
+.LBE1178:
+.LBE1181:
+.LBE1192:
 .LBE1196:
-	.loc 1 1727 0
+.LBE1208:
+	.loc 1 1733 0
 	mov	x0, x21
 .LVL229:
+.LBB1209:
 .LBB1197:
-.LBB1185:
-.LBB1181:
-.LBB1170:
-.LBB1167:
+.LBB1193:
+.LBB1182:
+.LBB1179:
 	.loc 6 84 0
 	tbz	x2, 26, .L199
 	b	.L198
 .LVL230:
 	.p2align 3
 .L316:
-.LBE1167:
-.LBE1170:
-.LBE1181:
-.LBE1185:
+.LBE1179:
+.LBE1182:
+.LBE1193:
 .LBE1197:
-.LBB1198:
-.LBB1065:
-.LBB1062:
-.LBB1059:
-.LBB1048:
-.LBB1044:
-.LBB1045:
-.LBB1046:
+.LBE1209:
+.LBB1210:
+.LBB1077:
+.LBB1074:
+.LBB1071:
+.LBB1060:
+.LBB1056:
+.LBB1057:
+.LBB1058:
 	.loc 7 106 0
 	ldr	x2, [x2]
 .LVL231:
-.LBE1046:
-.LBE1045:
-.LBE1044:
-.LBE1048:
-.LBE1059:
-.LBE1062:
-.LBE1065:
-.LBE1198:
-	.loc 1 1727 0
+.LBE1058:
+.LBE1057:
+.LBE1056:
+.LBE1060:
+.LBE1071:
+.LBE1074:
+.LBE1077:
+.LBE1210:
+	.loc 1 1733 0
 	mov	x0, x21
 .LVL232:
-.LBB1199:
-.LBB1066:
-.LBB1063:
-.LBB1060:
-.LBB1049:
+.LBB1211:
+.LBB1078:
+.LBB1075:
+.LBB1072:
+.LBB1061:
 	.loc 6 84 0
 	tbz	x2, 26, .L194
 	b	.L193
 .LVL233:
 	.p2align 3
 .L223:
-.LBE1049:
-.LBE1060:
-.LBE1063:
-.LBE1066:
-.LBE1199:
-.LBB1200:
+.LBE1061:
+.LBE1072:
+.LBE1075:
+.LBE1078:
+.LBE1211:
+.LBB1212:
+.LBB1162:
+.LBB1158:
+.LBB1147:
+.LBB1148:
+.LBB1149:
 .LBB1150:
-.LBB1146:
-.LBB1135:
-.LBB1136:
-.LBB1137:
-.LBB1138:
-.LBB1139:
+.LBB1151:
 	.loc 8 157 0
 	sbfx	x1, x21, 0, 56
 .LVL234:
-.LBE1139:
-.LBE1138:
-.LBE1137:
-.LBB1140:
-.LBB1141:
+.LBE1151:
+.LBE1150:
+.LBE1149:
+.LBB1152:
+.LBB1153:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2915,13 +2915,13 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL235:
 #NO_APP
-.LBE1141:
-.LBE1140:
-.LBB1142:
+.LBE1153:
+.LBE1152:
+.LBB1154:
 	.loc 6 254 0
 	and	x1, x1, x21
 .LVL236:
-.LBE1142:
+.LBE1154:
 	.loc 6 249 0
 	ldr	x2, [x0, 8]
 .LVL237:
@@ -2937,44 +2937,44 @@ ebc_io_ctl:
 	hint #20
 // 0 "" 2
 #NO_APP
-.LBE1136:
-.LBE1135:
+.LBE1148:
+.LBE1147:
 	.loc 9 134 0
 	mov	x2, 44
 	add	x1, x29, 104
 .LVL239:
 	bl	__arch_copy_to_user
 .LVL240:
-.LBE1146:
-.LBE1150:
-.LBE1200:
-	.loc 1 1857 0
+.LBE1158:
+.LBE1162:
+.LBE1212:
+	.loc 1 1863 0
 	cbnz	x0, .L224
-.LBB1201:
-.LBB1001:
+.LBB1213:
+.LBB1013:
 	mov	x22, 0
 	b	.L172
 .LVL241:
 	.p2align 3
 .L200:
-.LBE1001:
-.LBE1201:
-.LBB1202:
+.LBE1013:
+.LBE1213:
+.LBB1214:
+.LBB1198:
+.LBB1194:
+.LBB1183:
+.LBB1184:
+.LBB1185:
 .LBB1186:
-.LBB1182:
-.LBB1171:
-.LBB1172:
-.LBB1173:
-.LBB1174:
-.LBB1175:
+.LBB1187:
 	.loc 8 157 0
 	sbfx	x1, x21, 0, 56
 .LVL242:
-.LBE1175:
-.LBE1174:
-.LBE1173:
-.LBB1176:
-.LBB1177:
+.LBE1187:
+.LBE1186:
+.LBE1185:
+.LBB1188:
+.LBB1189:
 	.loc 5 19 0
 #APP
 // 19 "./arch/arm64/include/asm/current.h" 1
@@ -2982,13 +2982,13 @@ ebc_io_ctl:
 // 0 "" 2
 .LVL243:
 #NO_APP
-.LBE1177:
-.LBE1176:
-.LBB1178:
+.LBE1189:
+.LBE1188:
+.LBB1190:
 	.loc 6 254 0
 	and	x1, x1, x21
 .LVL244:
-.LBE1178:
+.LBE1190:
 	.loc 6 249 0
 	ldr	x2, [x0, 8]
 .LVL245:
@@ -3004,38 +3004,38 @@ ebc_io_ctl:
 	hint #20
 // 0 "" 2
 #NO_APP
-.LBE1172:
-.LBE1171:
+.LBE1184:
+.LBE1183:
 	.loc 9 134 0
 	mov	x2, 44
 	add	x1, x29, 104
 .LVL247:
 	bl	__arch_copy_to_user
 .LVL248:
-.LBE1182:
-.LBE1186:
-.LBE1202:
-	.loc 1 1780 0
+.LBE1194:
+.LBE1198:
+.LBE1214:
+	.loc 1 1786 0
 	cbnz	w0, .L201
-.LBB1203:
-.LBB1002:
+.LBB1215:
+.LBB1014:
 	mov	x22, 0
 	b	.L172
 .LVL249:
 	.p2align 3
 .L205:
-.LBE1002:
-.LBE1203:
-	.loc 1 1788 0
+.LBE1014:
+.LBE1215:
+	.loc 1 1794 0
 	mov	x22, -14
 	b	.L172
 .LVL250:
 	.p2align 3
 .L312:
-	.loc 1 1803 0
+	.loc 1 1809 0
 	mov	w2, 1
 	str	w2, [x20, 80]
-	.loc 1 1804 0
+	.loc 1 1810 0
 	adrp	x0, .LANCHOR1
 	add	x0, x0, :lo12:.LANCHOR1
 	mov	w1, w2
@@ -3045,25 +3045,25 @@ ebc_io_ctl:
 	b	.L207
 	.p2align 3
 .L313:
-	.loc 1 1806 0 discriminator 1
+	.loc 1 1812 0 discriminator 1
 	ldr	w0, [x20, 592]
 	cbz	w0, .L209
-.LBB1204:
-.LBB1003:
+.LBB1216:
+.LBB1015:
 	mov	x22, 0
 	b	.L172
 .LVL252:
 .L197:
-.LBE1003:
-.LBE1204:
-	.loc 1 1756 0
+.LBE1015:
+.LBE1216:
+	.loc 1 1762 0
 	mov	x22, -1
 	b	.L172
 .LVL253:
 .L246:
-.LBB1205:
-.LBB1102:
-.LBB1098:
+.LBB1217:
+.LBB1114:
+.LBB1110:
 	.loc 9 112 0
 	mov	x0, 4
 .LVL254:
@@ -3076,22 +3076,22 @@ ebc_io_ctl:
 .LVL256:
 	bl	memset
 .LVL257:
-.LBE1098:
-.LBE1102:
-.LBE1205:
-	.loc 1 1845 0
+.LBE1110:
+.LBE1114:
+.LBE1217:
+	.loc 1 1851 0
 	ldr	x0, [x20, 272]
 	adrp	x1, .LC4
-	.loc 1 1846 0
+	.loc 1 1852 0
 	mov	x22, -14
-	.loc 1 1845 0
+	.loc 1 1851 0
 	add	x1, x1, :lo12:.LC4
 	bl	_dev_err
 .LVL258:
-	.loc 1 1846 0
+	.loc 1 1852 0
 	b	.L172
 .L310:
-	.loc 1 1924 0
+	.loc 1 1930 0
 	bl	__stack_chk_fail
 .LVL259:
 .L318:
@@ -3287,7 +3287,7 @@ frame_done_callback:
 	.type	ebc_frame_timeout, %function
 ebc_frame_timeout:
 .LFB2829:
-	.loc 1 1653 0
+	.loc 1 1659 0
 	.cfi_startproc
 .LVL271:
 	stp	x29, x30, [sp, -16]!
@@ -3296,10 +3296,10 @@ ebc_frame_timeout:
 	.cfi_offset 30, -8
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 1654 0
+	.loc 1 1660 0
 	bl	frame_done_callback
 .LVL272:
-	.loc 1 1656 0
+	.loc 1 1662 0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
 	.cfi_restore 29
@@ -3347,16 +3347,16 @@ ebc_lut_update:
 	ldr	x3, [x0]
 	str	x3, [x29, 56]
 	mov	x3,0
-.LBB1206:
-.LBB1207:
+.LBB1218:
+.LBB1219:
 	.loc 3 50 0
 	mov	x0, x2
 	ldr	x2, [x2, 56]
 	blr	x2
 .LVL276:
 	mov	w20, w0
-.LBE1207:
-.LBE1206:
+.LBE1219:
+.LBE1218:
 	.loc 1 1217 0
 	cbnz	w0, .L332
 .LVL277:
@@ -3599,23 +3599,23 @@ ebc_lut_update:
 	.type	ebc_buf_state_read, %function
 ebc_buf_state_read:
 .LFB2841:
-	.loc 1 2057 0
+	.loc 1 2063 0
 	.cfi_startproc
 .LVL298:
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
 	.cfi_offset 29, -16
 	.cfi_offset 30, -8
-	.loc 1 2058 0
+	.loc 1 2064 0
 	mov	x0, x2
 .LVL299:
-	.loc 1 2057 0
+	.loc 1 2063 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 2058 0
+	.loc 1 2064 0
 	bl	ebc_buf_state_show
 .LVL300:
-	.loc 1 2059 0
+	.loc 1 2065 0
 	sxtw	x0, w0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
@@ -3630,32 +3630,32 @@ ebc_buf_state_read:
 	.type	ebc_state_read, %function
 ebc_state_read:
 .LFB2840:
-	.loc 1 2048 0
+	.loc 1 2054 0
 	.cfi_startproc
 .LVL301:
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
 	.cfi_offset 29, -16
 	.cfi_offset 30, -8
-	.loc 1 2049 0
+	.loc 1 2055 0
 	adrp	x3, .LANCHOR0
-	.loc 1 2048 0
+	.loc 1 2054 0
 	mov	x0, x2
 .LVL302:
-	.loc 1 2049 0
+	.loc 1 2055 0
 	adrp	x1, .LC15
 .LVL303:
-	.loc 1 2048 0
+	.loc 1 2054 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 2049 0
+	.loc 1 2055 0
 	ldr	x2, [x3, #:lo12:.LANCHOR0]
 .LVL304:
 	add	x1, x1, :lo12:.LC15
 	ldr	w2, [x2, 608]
 	bl	sprintf
 .LVL305:
-	.loc 1 2050 0
+	.loc 1 2056 0
 	sxtw	x0, w0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
@@ -3670,7 +3670,7 @@ ebc_state_read:
 	.type	ebc_version_read, %function
 ebc_version_read:
 .LFB2839:
-	.loc 1 2039 0
+	.loc 1 2045 0
 	.cfi_startproc
 .LVL306:
 	stp	x29, x30, [sp, -16]!
@@ -3679,22 +3679,22 @@ ebc_version_read:
 	.cfi_offset 30, -8
 	mov	x0, x2
 .LVL307:
-	.loc 1 2040 0
+	.loc 1 2046 0
 	adrp	x1, .LC17
 .LVL308:
 	adrp	x2, .LC16
 .LVL309:
-	.loc 1 2039 0
+	.loc 1 2045 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 2040 0
+	.loc 1 2046 0
 	add	x2, x2, :lo12:.LC16
-	.loc 1 2039 0
-	.loc 1 2040 0
+	.loc 1 2045 0
+	.loc 1 2046 0
 	add	x1, x1, :lo12:.LC17
 	bl	sprintf
 .LVL310:
-	.loc 1 2041 0
+	.loc 1 2047 0
 	sxtw	x0, w0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
@@ -3709,46 +3709,46 @@ ebc_version_read:
 	.type	pmic_vcom_read, %function
 pmic_vcom_read:
 .LFB2837:
-	.loc 1 2003 0
+	.loc 1 2009 0
 	.cfi_startproc
 .LVL311:
 	stp	x29, x30, [sp, -32]!
 	.cfi_def_cfa_offset 32
 	.cfi_offset 29, -32
 	.cfi_offset 30, -24
-	.loc 1 2004 0
+	.loc 1 2010 0
 	adrp	x0, .LANCHOR0
 .LVL312:
-	.loc 1 2003 0
+	.loc 1 2009 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 2007 0
+	.loc 1 2013 0
 	ldr	x0, [x0, #:lo12:.LANCHOR0]
-	.loc 1 2003 0
+	.loc 1 2009 0
 	str	x19, [sp, 16]
 	.cfi_offset 19, -16
-	.loc 1 2003 0
+	.loc 1 2009 0
 	mov	x19, x2
-	.loc 1 2007 0
+	.loc 1 2013 0
 	ldr	x1, [x0, 16]
 .LVL313:
-.LBB1208:
-.LBB1209:
+.LBB1220:
+.LBB1221:
 	.loc 3 55 0
 	mov	x0, x1
 	ldr	x1, [x1, 64]
 	blr	x1
 .LVL314:
-.LBE1209:
-.LBE1208:
-	.loc 1 2009 0
+.LBE1221:
+.LBE1220:
+	.loc 1 2015 0
 	mov	w2, w0
 	adrp	x1, .LC15
 	mov	x0, x19
 	add	x1, x1, :lo12:.LC15
 	bl	sprintf
 .LVL315:
-	.loc 1 2010 0
+	.loc 1 2016 0
 	sxtw	x0, w0
 	ldr	x19, [sp, 16]
 .LVL316:
@@ -3766,33 +3766,33 @@ pmic_vcom_read:
 	.type	pmic_temp_read, %function
 pmic_temp_read:
 .LFB2836:
-	.loc 1 1989 0
+	.loc 1 1995 0
 	.cfi_startproc
 .LVL317:
 	stp	x29, x30, [sp, -48]!
 	.cfi_def_cfa_offset 48
 	.cfi_offset 29, -48
 	.cfi_offset 30, -40
-	.loc 1 1990 0
+	.loc 1 1996 0
 	adrp	x0, .LANCHOR0
 .LVL318:
-	.loc 1 1989 0
+	.loc 1 1995 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 1993 0
+	.loc 1 1999 0
 	ldr	x0, [x0, #:lo12:.LANCHOR0]
-.LBB1210:
-.LBB1211:
+.LBB1222:
+.LBB1223:
 	.loc 3 50 0
 	add	x1, x29, 36
 .LVL319:
-.LBE1211:
-.LBE1210:
-	.loc 1 1989 0
+.LBE1223:
+.LBE1222:
+	.loc 1 1995 0
 	stp	x19, x20, [sp, 16]
 	.cfi_offset 19, -32
 	.cfi_offset 20, -24
-	.loc 1 1989 0
+	.loc 1 1995 0
 	adrp	x19, __stack_chk_guard
 	add	x19, x19, :lo12:__stack_chk_guard
 	mov	x20, x2
@@ -3800,25 +3800,25 @@ pmic_temp_read:
 	str	x2, [x29, 40]
 	mov	x2,0
 .LVL320:
-	.loc 1 1993 0
+	.loc 1 1999 0
 	ldr	x2, [x0, 16]
-.LBB1213:
-.LBB1212:
+.LBB1225:
+.LBB1224:
 	.loc 3 50 0
 	mov	x0, x2
 	ldr	x2, [x2, 56]
 	blr	x2
 .LVL321:
-.LBE1212:
-.LBE1213:
-	.loc 1 1995 0
+.LBE1224:
+.LBE1225:
+	.loc 1 2001 0
 	ldr	w2, [x29, 36]
 	adrp	x1, .LC15
 	mov	x0, x20
 	add	x1, x1, :lo12:.LC15
 	bl	sprintf
 .LVL322:
-	.loc 1 1996 0
+	.loc 1 2002 0
 	ldr	x2, [x29, 40]
 	ldr	x1, [x19]
 	eor	x1, x2, x1
@@ -3847,25 +3847,25 @@ pmic_temp_read:
 	.type	pmic_name_read, %function
 pmic_name_read:
 .LFB2835:
-	.loc 1 1978 0
+	.loc 1 1984 0
 	.cfi_startproc
 .LVL326:
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
 	.cfi_offset 29, -16
 	.cfi_offset 30, -8
-	.loc 1 1979 0
+	.loc 1 1985 0
 	adrp	x3, .LANCHOR0
-	.loc 1 1978 0
+	.loc 1 1984 0
 	mov	x0, x2
 .LVL327:
-	.loc 1 1981 0
+	.loc 1 1987 0
 	adrp	x1, .LC17
 .LVL328:
-	.loc 1 1978 0
+	.loc 1 1984 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 1981 0
+	.loc 1 1987 0
 	ldr	x2, [x3, #:lo12:.LANCHOR0]
 .LVL329:
 	add	x1, x1, :lo12:.LC17
@@ -3873,7 +3873,7 @@ pmic_name_read:
 	add	x2, x2, 8
 	bl	sprintf
 .LVL330:
-	.loc 1 1982 0
+	.loc 1 1988 0
 	sxtw	x0, w0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
@@ -3888,17 +3888,17 @@ pmic_name_read:
 	.type	pmic_vcom_write, %function
 pmic_vcom_write:
 .LFB2838:
-	.loc 1 2015 0
+	.loc 1 2021 0
 	.cfi_startproc
 .LVL331:
 	stp	x29, x30, [sp, -64]!
 	.cfi_def_cfa_offset 64
 	.cfi_offset 29, -64
 	.cfi_offset 30, -56
-	.loc 1 2016 0
+	.loc 1 2022 0
 	adrp	x0, .LANCHOR0
 .LVL332:
-	.loc 1 2015 0
+	.loc 1 2021 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
 	stp	x19, x20, [sp, 16]
@@ -3908,37 +3908,37 @@ pmic_vcom_write:
 	stp	x21, x22, [sp, 32]
 	.cfi_offset 21, -32
 	.cfi_offset 22, -24
-	.loc 1 2015 0
+	.loc 1 2021 0
 	add	x1, x19, :lo12:__stack_chk_guard
 .LVL333:
 	mov	x21, x2
-	.loc 1 2016 0
+	.loc 1 2022 0
 	ldr	x22, [x0, #:lo12:.LANCHOR0]
 .LVL334:
-	.loc 1 2015 0
+	.loc 1 2021 0
 	ldr	x2, [x1]
 	str	x2, [x29, 56]
 	mov	x2,0
 .LVL335:
 	mov	x20, x3
-	.loc 1 2019 0
+	.loc 1 2025 0
 	add	x2, x29, 52
 	mov	w1, 0
 	mov	x0, x21
 	bl	kstrtouint
 .LVL336:
-	.loc 1 2020 0
+	.loc 1 2026 0
 	cbnz	w0, .L381
 .LVL337:
-	.loc 1 2024 0
+	.loc 1 2030 0
 	ldr	w1, [x29, 52]
 	ldr	x0, [x22, 16]
 	bl	ebc_pmic_set_vcom
 .LVL338:
-	.loc 1 2025 0
+	.loc 1 2031 0
 	cbnz	w0, .L382
 .L374:
-	.loc 1 2031 0
+	.loc 1 2037 0
 	add	x19, x19, :lo12:__stack_chk_guard
 	mov	x0, x20
 .LVL339:
@@ -3963,36 +3963,36 @@ pmic_vcom_write:
 	.p2align 3
 .L381:
 	.cfi_restore_state
-	.loc 1 2021 0
+	.loc 1 2027 0
 	ldr	x0, [x22]
 	adrp	x1, .LC18
 	mov	x2, x21
 	add	x1, x1, :lo12:.LC18
-	.loc 1 2022 0
+	.loc 1 2028 0
 	mov	x20, -1
 .LVL342:
-	.loc 1 2021 0
+	.loc 1 2027 0
 	bl	_dev_err
 .LVL343:
-	.loc 1 2022 0
+	.loc 1 2028 0
 	b	.L374
 .LVL344:
 	.p2align 3
 .L382:
-	.loc 1 2026 0
+	.loc 1 2032 0
 	ldr	x0, [x22]
 	adrp	x1, .LC19
-	.loc 1 2027 0
+	.loc 1 2033 0
 	mov	x20, -1
 .LVL345:
-	.loc 1 2026 0
+	.loc 1 2032 0
 	add	x1, x1, :lo12:.LC19
 	bl	_dev_err
 .LVL346:
-	.loc 1 2027 0
+	.loc 1 2033 0
 	b	.L374
 .L383:
-	.loc 1 2031 0
+	.loc 1 2037 0
 	bl	__stack_chk_fail
 .LVL347:
 	.cfi_endproc
@@ -4003,7 +4003,7 @@ pmic_vcom_write:
 	.type	waveform_version_read, %function
 waveform_version_read:
 .LFB2834:
-	.loc 1 1967 0
+	.loc 1 1973 0
 	.cfi_startproc
 .LVL348:
 	stp	x29, x30, [sp, -32]!
@@ -4014,19 +4014,19 @@ waveform_version_read:
 	.cfi_def_cfa_register 29
 	str	x19, [sp, 16]
 	.cfi_offset 19, -16
-	.loc 1 1967 0
+	.loc 1 1973 0
 	mov	x19, x2
-	.loc 1 1968 0
+	.loc 1 1974 0
 	bl	epd_lut_get_wf_version
 .LVL349:
-	.loc 1 1970 0
+	.loc 1 1976 0
 	mov	x2, x0
 	adrp	x1, .LC17
 	mov	x0, x19
 	add	x1, x1, :lo12:.LC17
 	bl	sprintf
 .LVL350:
-	.loc 1 1971 0
+	.loc 1 1977 0
 	sxtw	x0, w0
 	ldr	x19, [sp, 16]
 .LVL351:
@@ -4044,23 +4044,23 @@ waveform_version_read:
 	.type	ebc_init, %function
 ebc_init:
 .LFB2852:
-	.loc 1 2494 0
+	.loc 1 2520 0
 	.cfi_startproc
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
 	.cfi_offset 29, -16
 	.cfi_offset 30, -8
-	.loc 1 2495 0
+	.loc 1 2521 0
 	mov	x1, 0
 	adrp	x0, .LANCHOR1
 	add	x0, x0, :lo12:.LANCHOR1
-	.loc 1 2494 0
+	.loc 1 2520 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
-	.loc 1 2495 0
+	.loc 1 2521 0
 	bl	__platform_driver_register
 .LVL352:
-	.loc 1 2496 0
+	.loc 1 2522 0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
 	.cfi_restore 29
@@ -4082,8 +4082,8 @@ direct_mode_data_change:
 	ldr	w13, [x3, 72]
 .LVL354:
 	cbnz	w13, .L422
-.LBB1232:
-.LBB1233:
+.LBB1244:
+.LBB1245:
 	.loc 1 865 0
 	adrp	x5, .LANCHOR0
 	.loc 1 871 0
@@ -4147,78 +4147,78 @@ direct_mode_data_change:
 	ldr	w4, [x1, x5, lsl 2]
 	add	x5, x5, 1
 .LVL364:
-.LBB1234:
-.LBB1235:
+.LBB1246:
+.LBB1247:
 	.loc 1 131 0
 	and	w9, w3, 65280
-.LBE1235:
-.LBE1234:
+.LBE1247:
+.LBE1246:
 	.loc 1 887 0
 	cmp	w12, w5
 .LVL365:
 	.loc 1 891 0
 	and	w6, w4, 65535
-.LBB1240:
-.LBB1236:
+.LBB1252:
+.LBB1248:
 	.loc 1 130 0
 	ubfiz	w8, w3, 8, 8
 	.loc 1 131 0
 	add	w9, w9, w6, lsr 8
 	.loc 1 130 0
 	add	w6, w8, w6, uxtb
-.LBE1236:
-.LBE1240:
+.LBE1248:
+.LBE1252:
 	.loc 1 892 0
 	lsr	w3, w3, 16
 .LVL366:
 	lsr	w4, w4, 16
-.LBB1241:
-.LBB1242:
+.LBB1253:
+.LBB1254:
 	.loc 1 130 0
 	ubfiz	w8, w3, 8, 8
 	.loc 1 131 0
 	and	w3, w3, 65280
-.LBE1242:
-.LBE1241:
-.LBB1246:
-.LBB1237:
+.LBE1254:
+.LBE1253:
+.LBB1258:
+.LBB1249:
 	.loc 1 130 0
 	ldrb	w11, [x7, w6, sxtw]
-.LBE1237:
-.LBE1246:
-.LBB1247:
-.LBB1243:
+.LBE1249:
+.LBE1258:
+.LBB1259:
+.LBB1255:
 	.loc 1 131 0
 	add	w3, w3, w4, lsr 8
-.LBE1243:
-.LBE1247:
-.LBB1248:
-.LBB1238:
+.LBE1255:
+.LBE1259:
+.LBB1260:
+.LBB1250:
 	ldrb	w9, [x7, w9, sxtw]
-.LBE1238:
-.LBE1248:
-.LBB1249:
-.LBB1244:
+.LBE1250:
+.LBE1260:
+.LBB1261:
+.LBB1256:
 	.loc 1 130 0
 	add	w6, w8, w4, uxtb
-.LBE1244:
-.LBE1249:
-.LBB1250:
-.LBB1239:
+.LBE1256:
+.LBE1261:
+.LBB1262:
+.LBB1251:
 	orr	w4, w11, w9, lsl 4
-.LBE1239:
-.LBE1250:
+.LBE1251:
+.LBE1262:
 	.loc 1 891 0
 	strb	w4, [x10], 2
-.LBB1251:
-.LBB1245:
+.LBB1263:
+.LBB1257:
 	.loc 1 131 0
 	ldrb	w3, [x7, w3, sxtw]
 	.loc 1 130 0
 	ldrb	w4, [x7, w6, sxtw]
 	orr	w3, w4, w3, lsl 4
-.LBE1245:
-.LBE1251:
+.LBE1257:
+.LBE1263:
 	.loc 1 892 0
 	strb	w3, [x10, -1]
 	.loc 1 887 0
@@ -4243,11 +4243,11 @@ direct_mode_data_change:
 	b	.L397
 .LVL369:
 .L422:
-.LBE1233:
-.LBE1232:
-.LBB1252:
-.LBB1253:
-.LBB1254:
+.LBE1245:
+.LBE1244:
+.LBB1264:
+.LBB1265:
+.LBB1266:
 	.loc 1 826 0
 	adrp	x7, .LANCHOR0
 	.loc 1 832 0
@@ -4306,9 +4306,9 @@ direct_mode_data_change:
 .L414:
 	.loc 1 848 0
 	cbz	w14, .L424
-.LBE1254:
-.LBE1253:
-.LBE1252:
+.LBE1266:
+.LBE1265:
+.LBE1264:
 	.loc 1 900 0
 	stp	x29, x30, [sp, -16]!
 	.cfi_def_cfa_offset 16
@@ -4318,9 +4318,9 @@ direct_mode_data_change:
 	.cfi_def_cfa_register 29
 	.p2align 2
 .L415:
-.LBB1299:
-.LBB1297:
-.LBB1295:
+.LBB1311:
+.LBB1309:
+.LBB1307:
 	.loc 1 848 0
 	mov	x5, 0
 	.p2align 2
@@ -4339,8 +4339,8 @@ direct_mode_data_change:
 	cmp	x11, x5
 	.loc 1 852 0
 	and	w6, w1, 65535
-.LBB1255:
-.LBB1256:
+.LBB1267:
+.LBB1268:
 	.loc 1 130 0
 	ubfiz	w30, w7, 8, 8
 	.loc 1 131 0
@@ -4349,143 +4349,143 @@ direct_mode_data_change:
 	add	w30, w30, w6, uxtb
 	.loc 1 131 0
 	add	w7, w7, w6, lsr 8
-.LBE1256:
-.LBE1255:
+.LBE1268:
+.LBE1267:
 	.loc 1 853 0
 	lsr	w8, w2, 16
 	lsr	w6, w1, 16
-.LBB1260:
-.LBB1261:
+.LBB1272:
+.LBB1273:
 	.loc 1 130 0
 	ubfiz	w18, w8, 8, 8
-.LBE1261:
-.LBE1260:
-.LBB1267:
-.LBB1257:
+.LBE1273:
+.LBE1272:
+.LBB1279:
+.LBB1269:
 	ldrb	w30, [x3, w30, sxtw]
-.LBE1257:
-.LBE1267:
-.LBB1268:
-.LBB1262:
+.LBE1269:
+.LBE1279:
+.LBB1280:
+.LBB1274:
 	.loc 1 131 0
 	and	w8, w8, 65280
-.LBE1262:
-.LBE1268:
-.LBB1269:
-.LBB1258:
-	ldrb	w17, [x3, w7, sxtw]
-.LBE1258:
-.LBE1269:
+.LBE1274:
+.LBE1280:
+.LBB1281:
 .LBB1270:
-.LBB1263:
+	ldrb	w17, [x3, w7, sxtw]
+.LBE1270:
+.LBE1281:
+.LBB1282:
+.LBB1275:
 	.loc 1 130 0
 	add	w18, w18, w6, uxtb
 	.loc 1 131 0
 	add	w8, w8, w6, lsr 8
-.LBE1263:
-.LBE1270:
+.LBE1275:
+.LBE1282:
 	.loc 1 854 0
 	ubfx	x7, x2, 32, 16
 	ubfx	x6, x1, 32, 16
 	.loc 1 855 0
 	lsr	x2, x2, 48
 .LVL383:
+.LBB1283:
 .LBB1271:
-.LBB1259:
 	.loc 1 130 0
 	orr	w17, w30, w17, lsl 4
-.LBE1259:
 .LBE1271:
+.LBE1283:
 	.loc 1 852 0
 	strb	w17, [x4, -4]
-.LBB1272:
-.LBB1273:
+.LBB1284:
+.LBB1285:
 	.loc 1 130 0
 	ubfiz	w17, w7, 8, 8
 	.loc 1 131 0
 	and	w7, w7, 65280
-.LBE1273:
-.LBE1272:
-.LBB1279:
-.LBB1264:
+.LBE1285:
+.LBE1284:
+.LBB1291:
+.LBB1276:
 	ldrb	w8, [x3, w8, sxtw]
-.LBE1264:
-.LBE1279:
-.LBB1280:
-.LBB1274:
+.LBE1276:
+.LBE1291:
+.LBB1292:
+.LBB1286:
 	.loc 1 130 0
 	add	w17, w17, w6, uxtb
-.LBE1274:
-.LBE1280:
-.LBB1281:
-.LBB1265:
+.LBE1286:
+.LBE1292:
+.LBB1293:
+.LBB1277:
 	ldrb	w18, [x3, w18, sxtw]
-.LBE1265:
-.LBE1281:
-.LBB1282:
-.LBB1275:
+.LBE1277:
+.LBE1293:
+.LBB1294:
+.LBB1287:
 	.loc 1 131 0
 	add	w6, w7, w6, lsr 8
-.LBE1275:
-.LBE1282:
+.LBE1287:
+.LBE1294:
 	.loc 1 855 0
 	lsr	x1, x1, 48
 .LVL384:
-.LBB1283:
-.LBB1266:
+.LBB1295:
+.LBB1278:
 	.loc 1 130 0
 	orr	w7, w18, w8, lsl 4
-.LBE1266:
-.LBE1283:
+.LBE1278:
+.LBE1295:
 	.loc 1 853 0
 	strb	w7, [x4, -3]
-.LBB1284:
-.LBB1285:
+.LBB1296:
+.LBB1297:
 	.loc 1 130 0
 	ubfiz	w7, w2, 8, 8
 	.loc 1 131 0
 	and	w2, w2, 65280
-.LBE1285:
-.LBE1284:
-.LBB1289:
-.LBB1276:
+.LBE1297:
+.LBE1296:
+.LBB1301:
+.LBB1288:
 	ldrb	w8, [x3, w6, sxtw]
-.LBE1276:
-.LBE1289:
-.LBB1290:
-.LBB1286:
+.LBE1288:
+.LBE1301:
+.LBB1302:
+.LBB1298:
 	.loc 1 130 0
 	add	w6, w7, w1, uxtb
-.LBE1286:
-.LBE1290:
-.LBB1291:
-.LBB1277:
+.LBE1298:
+.LBE1302:
+.LBB1303:
+.LBB1289:
 	ldrb	w17, [x3, w17, sxtw]
-.LBE1277:
-.LBE1291:
-.LBB1292:
-.LBB1287:
+.LBE1289:
+.LBE1303:
+.LBB1304:
+.LBB1299:
 	.loc 1 131 0
 	add	w1, w2, w1, lsr 8
-.LBE1287:
-.LBE1292:
-.LBB1293:
-.LBB1278:
+.LBE1299:
+.LBE1304:
+.LBB1305:
+.LBB1290:
 	.loc 1 130 0
 	orr	w2, w17, w8, lsl 4
-.LBE1278:
-.LBE1293:
+.LBE1290:
+.LBE1305:
 	.loc 1 854 0
 	strb	w2, [x4, -2]
-.LBB1294:
-.LBB1288:
+.LBB1306:
+.LBB1300:
 	.loc 1 131 0
 	ldrb	w1, [x3, w1, sxtw]
 	.loc 1 130 0
 	ldrb	w2, [x3, w6, sxtw]
 	orr	w1, w2, w1, lsl 4
-.LBE1288:
-.LBE1294:
+.LBE1300:
+.LBE1306:
 	.loc 1 855 0
 	strb	w1, [x4, -1]
 	.loc 1 848 0
@@ -4517,9 +4517,9 @@ direct_mode_data_change:
 	cmp	w15, w12
 	bne	.L425
 .L388:
-.LBE1295:
-.LBE1297:
-.LBE1299:
+.LBE1307:
+.LBE1309:
+.LBE1311:
 	.loc 1 905 0
 	ldp	x29, x30, [sp], 16
 	.cfi_restore 30
@@ -4528,9 +4528,9 @@ direct_mode_data_change:
 	ret
 .LVL387:
 .L413:
-.LBB1300:
-.LBB1298:
-.LBB1296:
+.LBB1312:
+.LBB1310:
+.LBB1308:
 	.loc 1 846 0
 	mul	w4, w12, w5
 .LVL388:
@@ -4569,9 +4569,9 @@ direct_mode_data_change:
 	.p2align 3
 .L410:
 	ret
-.LBE1296:
-.LBE1298:
-.LBE1300:
+.LBE1308:
+.LBE1310:
+.LBE1312:
 	.cfi_endproc
 .LFE2815:
 	.size	direct_mode_data_change, .-direct_mode_data_change
@@ -4587,14 +4587,14 @@ direct_mode_data_change_part:
 	.cfi_def_cfa_offset 80
 	.cfi_offset 29, -80
 	.cfi_offset 30, -72
-.LBB1319:
-.LBB1320:
-.LBB1321:
+.LBB1331:
+.LBB1332:
+.LBB1333:
 	.loc 1 953 0
 	adrp	x5, .LANCHOR0
-.LBE1321:
-.LBE1320:
-.LBE1319:
+.LBE1333:
+.LBE1332:
+.LBE1331:
 	.loc 1 994 0
 	add	x29, sp, 0
 	.cfi_def_cfa_register 29
@@ -4613,8 +4613,8 @@ direct_mode_data_change_part:
 	ldr	w16, [x3, 72]
 .LVL396:
 	cbnz	w16, .L531
-.LBB1334:
-.LBB1335:
+.LBB1346:
+.LBB1347:
 	.loc 1 912 0
 	ldr	x18, [x5, #:lo12:.LANCHOR0]
 	.loc 1 917 0
@@ -4649,14 +4649,14 @@ direct_mode_data_change_part:
 	.loc 1 927 0
 	ble	.L427
 	sub	w17, w9, #1
-.LBB1336:
-.LBB1337:
+.LBB1348:
+.LBB1349:
 	.loc 1 136 0
 	mov	w15, 3
 	add	x17, x17, 1
 	lsl	x17, x17, 2
-.LBE1337:
-.LBE1336:
+.LBE1349:
+.LBE1348:
 	.loc 1 928 0
 	cbz	w19, .L457
 .LVL403:
@@ -4681,75 +4681,75 @@ direct_mode_data_change_part:
 .L472:
 	.loc 1 935 0
 	ldr	w6, [x2, x10, lsl 2]
-.LBB1343:
-.LBB1344:
+.LBB1355:
+.LBB1356:
 	.loc 1 140 0
 	mov	w4, 0
-.LBE1344:
-.LBE1343:
+.LBE1356:
+.LBE1355:
 	.loc 1 934 0
 	ldr	w7, [x1, x10, lsl 2]
-.LBB1349:
-.LBB1338:
+.LBB1361:
+.LBB1350:
 	.loc 1 140 0
 	mov	w5, 0
-.LBE1338:
-.LBE1349:
+.LBE1350:
+.LBE1361:
 	.loc 1 937 0
 	and	w20, w6, 65535
 	and	w12, w7, 65535
-.LBB1350:
-.LBB1345:
+.LBB1362:
+.LBB1357:
 	.loc 1 151 0
 	and	w3, w20, 65280
 	add	w8, w3, w12, lsr 8
-.LBE1345:
-.LBE1350:
+.LBE1357:
+.LBE1362:
 	.loc 1 938 0
 	lsr	w3, w6, 16
+.LBB1363:
 .LBB1351:
-.LBB1339:
 	.loc 1 150 0
 	ubfiz	w23, w3, 8, 8
-.LBE1339:
 .LBE1351:
+.LBE1363:
 	.loc 1 938 0
 	and	w3, w3, 65535
 	lsr	w11, w7, 16
-.LBB1352:
-.LBB1346:
+.LBB1364:
+.LBB1358:
 	.loc 1 150 0
 	ubfiz	w24, w6, 8, 8
-.LBE1346:
-.LBE1352:
-.LBB1353:
-.LBB1340:
+.LBE1358:
+.LBE1364:
+.LBB1365:
+.LBB1352:
 	.loc 1 151 0
 	and	w21, w3, 65280
-.LBE1340:
-.LBE1353:
-.LBB1354:
-.LBB1347:
+.LBE1352:
+.LBE1365:
+.LBB1366:
+.LBB1359:
 	.loc 1 137 0
 	eor	w25, w20, w12
 	.loc 1 150 0
 	add	w24, w24, w12, uxtb
-.LBE1347:
-.LBE1354:
-.LBB1355:
-.LBB1341:
+.LBE1359:
+.LBE1366:
+.LBB1367:
+.LBB1353:
 	add	w23, w23, w11, uxtb
 	.loc 1 137 0
 	eor	w22, w3, w11
 	.loc 1 151 0
 	add	w21, w21, w11, lsr 8
-.LBE1341:
-.LBE1355:
+.LBE1353:
+.LBE1367:
 	.loc 1 936 0
 	cmp	w7, w6
 	beq	.L460
-.LBB1356:
-.LBB1348:
+.LBB1368:
+.LBB1360:
 	.loc 1 139 0
 	cmp	w20, w12
 	beq	.L461
@@ -4782,12 +4782,12 @@ direct_mode_data_change_part:
 	and	w4, w6, w4
 	and	w4, w4, 255
 .L461:
-.LBE1348:
-.LBE1356:
+.LBE1360:
+.LBE1368:
 	.loc 1 937 0
 	strb	w4, [x13, -2]
-.LBB1357:
-.LBB1342:
+.LBB1369:
+.LBB1354:
 	.loc 1 139 0
 	cmp	w3, w11
 	beq	.L466
@@ -4820,8 +4820,8 @@ direct_mode_data_change_part:
 	and	w3, w5, w3
 	and	w5, w3, 255
 .L466:
-.LBE1342:
-.LBE1357:
+.LBE1354:
+.LBE1369:
 	.loc 1 938 0
 	strb	w5, [x13, -1]
 .L471:
@@ -4858,8 +4858,8 @@ direct_mode_data_change_part:
 .LVL411:
 	.p2align 3
 .L427:
-.LBE1335:
-.LBE1334:
+.LBE1347:
+.LBE1346:
 	.loc 1 999 0
 	ldp	x19, x20, [sp, 16]
 	ldp	x21, x22, [sp, 32]
@@ -4884,9 +4884,9 @@ direct_mode_data_change_part:
 .LVL415:
 .L531:
 	.cfi_restore_state
-.LBB1358:
-.LBB1333:
-.LBB1332:
+.LBB1370:
+.LBB1345:
+.LBB1344:
 	.loc 1 953 0
 	ldr	x14, [x5, #:lo12:.LANCHOR0]
 	.loc 1 958 0
@@ -4930,12 +4930,12 @@ direct_mode_data_change_part:
 	lsl	x13, x13, 3
 	mov	w12, 0
 .LVL425:
-.LBB1322:
-.LBB1323:
+.LBB1334:
+.LBB1335:
 	.loc 1 136 0
 	mov	w10, 3
-.LBE1323:
-.LBE1322:
+.LBE1335:
+.LBE1334:
 	.loc 1 969 0
 	cbz	w16, .L431
 .LVL426:
@@ -4971,8 +4971,8 @@ direct_mode_data_change_part:
 	and	w17, w2, 65535
 	and	w6, w1, 65535
 .LVL432:
-.LBB1325:
-.LBB1326:
+.LBB1337:
+.LBB1338:
 	.loc 1 140 0
 	mov	w4, 0
 	.loc 1 139 0
@@ -5020,15 +5020,15 @@ direct_mode_data_change_part:
 	and	w4, w4, 255
 .LVL434:
 .L435:
-.LBE1326:
-.LBE1325:
+.LBE1338:
+.LBE1337:
 	.loc 1 978 0
 	strb	w4, [x3, -4]
 	.loc 1 979 0
 	lsr	w17, w2, 16
 	lsr	w6, w1, 16
-.LBB1327:
-.LBB1328:
+.LBB1339:
+.LBB1340:
 	.loc 1 140 0
 	mov	w4, 0
 	.loc 1 139 0
@@ -5076,15 +5076,15 @@ direct_mode_data_change_part:
 	and	w4, w4, 255
 .LVL436:
 .L440:
-.LBE1328:
-.LBE1327:
+.LBE1340:
+.LBE1339:
 	.loc 1 979 0
 	strb	w4, [x3, -3]
 	.loc 1 980 0
 	ubfx	x17, x2, 32, 16
 	ubfx	x6, x1, 32, 16
-.LBB1329:
-.LBB1330:
+.LBB1341:
+.LBB1342:
 	.loc 1 140 0
 	mov	w4, 0
 	.loc 1 139 0
@@ -5132,8 +5132,8 @@ direct_mode_data_change_part:
 	and	w4, w4, 255
 .LVL438:
 .L445:
-.LBE1330:
-.LBE1329:
+.LBE1342:
+.LBE1341:
 	.loc 1 980 0
 	strb	w4, [x3, -2]
 	.loc 1 981 0
@@ -5141,8 +5141,8 @@ direct_mode_data_change_part:
 .LVL439:
 	lsr	x1, x1, 48
 .LVL440:
-.LBB1331:
-.LBB1324:
+.LBB1343:
+.LBB1336:
 	.loc 1 140 0
 	mov	w4, 0
 	.loc 1 139 0
@@ -5191,8 +5191,8 @@ direct_mode_data_change_part:
 	and	w4, w2, 255
 .LVL443:
 .L450:
-.LBE1324:
-.LBE1331:
+.LBE1336:
+.LBE1343:
 	.loc 1 981 0
 	strb	w4, [x3, -1]
 .LVL444:
@@ -5227,9 +5227,9 @@ direct_mode_data_change_part:
 	.loc 1 984 0
 	str	wzr, [x3, -4]
 	b	.L455
-.LBE1332:
-.LBE1333:
-.LBE1358:
+.LBE1344:
+.LBE1345:
+.LBE1370:
 	.cfi_endproc
 .LFE2818:
 	.size	direct_mode_data_change_part, .-direct_mode_data_change_part
@@ -5260,10 +5260,10 @@ flip.isra.7:
 	.loc 1 1005 0
 	ldr	x0, [x0]
 .LVL450:
-.LBB1359:
-.LBB1360:
-.LBB1361:
-.LBB1362:
+.LBB1371:
+.LBB1372:
+.LBB1373:
+.LBB1374:
 	.file 10 "./include/linux/dma-mapping.h"
 	.loc 10 266 0
 	cbz	x0, .L537
@@ -5274,37 +5274,37 @@ flip.isra.7:
 	cmp	x3, 0
 	csel	x3, x4, x3, eq
 .L535:
-.LBE1362:
-.LBE1361:
+.LBE1374:
+.LBE1373:
 	.loc 10 434 0
 	ldr	x5, [x3, 88]
 	sxtw	x19, w19
 	cbz	x5, .L536
-.LBE1360:
-.LBE1359:
+.LBE1372:
+.LBE1371:
 	.loc 1 1005 0
 	add	x4, x19, x19, lsl 1
-.LBB1368:
-.LBB1365:
+.LBB1380:
+.LBB1377:
 	.loc 10 435 0
 	mov	w3, 1
-.LBE1365:
-.LBE1368:
+.LBE1377:
+.LBE1380:
 	.loc 1 1005 0
 	add	x4, x20, x4, lsl 3
-.LBB1369:
-.LBB1366:
+.LBB1381:
+.LBB1378:
 	.loc 10 435 0
 	ldr	x1, [x4, 32]
 	blr	x5
 .LVL451:
 .L536:
-.LBE1366:
-.LBE1369:
+.LBE1378:
+.LBE1381:
 	.loc 1 1006 0
 	ldr	x5, [x20, 8]
-.LBB1370:
-.LBB1371:
+.LBB1382:
+.LBB1383:
 	.file 11 "drivers/gpu/drm/rockchip/ebc-dev/tcon/ebc_tcon.h"
 	.loc 11 57 0
 	mov	w4, 0
@@ -5312,29 +5312,29 @@ flip.isra.7:
 	mov	w2, 0
 	mov	x0, x5
 	mov	w1, 0
-.LBE1371:
-.LBE1370:
+.LBE1383:
+.LBE1382:
 	.loc 1 1007 0
 	add	x19, x19, x19, lsl 1
-.LBB1374:
-.LBB1372:
+.LBB1386:
+.LBB1384:
 	.loc 11 57 0
 	ldr	x5, [x5, 64]
-.LBE1372:
-.LBE1374:
+.LBE1384:
+.LBE1386:
 	.loc 1 1007 0
 	add	x19, x20, x19, lsl 3
-.LBB1375:
-.LBB1373:
+.LBB1387:
+.LBB1385:
 	.loc 11 57 0
 	blr	x5
 .LVL452:
-.LBE1373:
-.LBE1375:
+.LBE1385:
+.LBE1387:
 	.loc 1 1007 0
 	ldr	x1, [x20, 8]
-.LBB1376:
-.LBB1377:
+.LBB1388:
+.LBB1389:
 	.loc 11 62 0
 	mov	w2, 0
 	mov	x0, x1
@@ -5342,20 +5342,20 @@ flip.isra.7:
 	ldr	w1, [x19, 32]
 	blr	x3
 .LVL453:
-.LBE1377:
-.LBE1376:
+.LBE1389:
+.LBE1388:
 	.loc 1 1008 0
 	ldr	x2, [x20, 8]
-.LBB1378:
-.LBB1379:
+.LBB1390:
+.LBB1391:
 	.loc 11 77 0
 	mov	w1, 1
 	mov	x0, x2
 	ldr	x2, [x2, 96]
 	blr	x2
 .LVL454:
-.LBE1379:
-.LBE1378:
+.LBE1391:
+.LBE1390:
 	.loc 1 1009 0
 	ldr	w1, [x20, 72]
 	mov	w0, 1
@@ -5376,18 +5376,18 @@ flip.isra.7:
 	.p2align 3
 .L537:
 	.cfi_restore_state
-.LBB1380:
-.LBB1367:
-.LBB1364:
-.LBB1363:
+.LBB1392:
+.LBB1379:
+.LBB1376:
+.LBB1375:
 	.loc 10 268 0
 	adrp	x3, dummy_dma_ops
 	add	x3, x3, :lo12:dummy_dma_ops
 	b	.L535
-.LBE1363:
-.LBE1364:
-.LBE1367:
-.LBE1380:
+.LBE1375:
+.LBE1376:
+.LBE1379:
+.LBE1392:
 	.cfi_endproc
 .LFE2861:
 	.size	flip.isra.7, .-flip.isra.7
@@ -5440,8 +5440,8 @@ ebc_frame_start:
 	ldr	x1, [x1, 16]
 	bl	direct_mode_data_change_part
 .LVL459:
-.LBB1381:
-.LBB1382:
+.LBB1393:
+.LBB1394:
 	.loc 1 1014 0
 	str	wzr, [x21, 72]
 	.loc 1 1015 0
@@ -5449,8 +5449,8 @@ ebc_frame_start:
 	ldr	w1, [x20, 208]
 	bl	flip.isra.7
 .LVL460:
-.LBE1382:
-.LBE1381:
+.LBE1394:
+.LBE1393:
 	.loc 1 1076 0
 	ldr	w0, [x19, 40]
 	.loc 1 1077 0
@@ -5495,8 +5495,8 @@ ebc_frame_start:
 	.loc 1 1048 0
 	ldr	w0, [x19, 36]
 	cbz	w0, .L550
-.LBB1383:
-.LBB1384:
+.LBB1395:
+.LBB1396:
 	.loc 1 1014 0
 	str	wzr, [x21, 72]
 	.loc 1 1015 0
@@ -5504,8 +5504,8 @@ ebc_frame_start:
 	ldr	w1, [x20, 208]
 	bl	flip.isra.7
 .LVL465:
-.LBE1384:
-.LBE1383:
+.LBE1396:
+.LBE1395:
 	.loc 1 1050 0
 	ldp	x1, x2, [x19, 128]
 	mov	x4, x19
@@ -5540,8 +5540,8 @@ ebc_frame_start:
 	.loc 1 1030 0
 	ldr	w0, [x19, 36]
 	cbz	w0, .L548
-.LBB1385:
-.LBB1386:
+.LBB1397:
+.LBB1398:
 	.loc 1 1014 0
 	str	wzr, [x21, 72]
 	.loc 1 1015 0
